Bug 241895 - pppoe-server does not work if syslog service is started
pppoe-server does not work if syslog service is started
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rp-pppoe (Show other bugs)
5
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 11:03 EDT by Dave Perks
Modified: 2008-05-06 15:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Perks 2007-05-31 11:03:03 EDT
Description of problem:

If the syslog service is running, which it generally is, clients attempting to
connect to the pppoe-server fail to negotiate a PPP link. Ethernet-encapsulated
PPP frames transmitted by the pppoe application do not get transmitted onto the
Ethernet.

If the syslog service is stopped then the pppoe-server works as it did in
previous releases.

This problem has been reported on the Roaring Penguin forum to affect FC6 as
well but I haven't verified this.


Version-Release number of selected component (if applicable):

3.5-31

How reproducible:

Every time.


Steps to Reproduce:
1. Ensure syslog service is running.
2. Start pppoe-server.
3. Attempt to connect from a client on the LAN.
  
Actual results:

After exchanging PADI, PADO, PADR, PADS frames Wireshark will show the client
periodically sending PPP LC Configuration Request frames without receiving any
response. Eventually it gives up and send a PADT.


Expected results:

As above, but the client receives PPP LC Ack, PPP LC Configuration Request, the
PPP session sets up and communication is established.


Additional info:
Comment 1 Bug Zapper 2008-04-04 03:20:11 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:38:57 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.